Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.syslog.bsd
Class BSDMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.syslog.bsd.BSDMessage

    public class BSDMessage

extends java.lang.Object

Class building a BSD Syslog message
See RFC 3164
A BSD message is formated as :
<PRI>TimeStamp IPAddress Tag : message

Constructor Summary
`BSDMessage(java.net.InetAddress toIP, java.lang.String tag, java.lang.String message)`
`BSDMessage(int priority, TimeStamp timeStamp, java.net.InetAddress toIP, java.lang.String tag, java.lang.String message)` Build a BSD Message
`BSDMessage(int priority, TimeStamp timeStamp, java.lang.String FQDN, java.lang.String tag, java.lang.String message)`
`BSDMessage(java.lang.String FQDN, java.lang.String tag, java.lang.String message)`
`BSDMessage(TimeStamp timeStamp, java.net.InetAddress toIP, java.lang.String tag, java.lang.String message)`
`BSDMessage(TimeStamp timeStamp, java.lang.String FQDN, java.lang.String tag, java.lang.String message)`

Method Summary
`java.lang.String` | `getFQDN()`
`java.lang.String` | `getMessage()`
`int` | `getPriority()`
`java.lang.String` | `getTag()`
`TimeStamp` | `getTimeStamp()`
`java.net.InetAddress` | `getToIp()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BSDMessage

    public BSDMessage(int priority,
                      TimeStamp timeStamp,
                      java.net.InetAddress toIP,
                      java.lang.String tag,
                      java.lang.String message)

  Build a BSD Message

  Parameters:
    `priority` -
    `timeStamp` -
    `toIP` -
    `tag` -
    `message` -

### BSDMessage

    public BSDMessage(int priority,
                      TimeStamp timeStamp,
                      java.lang.String FQDN,
                      java.lang.String tag,
                      java.lang.String message)

### BSDMessage

    public BSDMessage(TimeStamp timeStamp,
                      java.lang.String FQDN,
                      java.lang.String tag,
                      java.lang.String message)

### BSDMessage

    public BSDMessage(TimeStamp timeStamp,
                      java.net.InetAddress toIP,
                      java.lang.String tag,
                      java.lang.String message)

### BSDMessage

    public BSDMessage(java.net.InetAddress toIP,
                      java.lang.String tag,
                      java.lang.String message)

### BSDMessage

    public BSDMessage(java.lang.String FQDN,
                      java.lang.String tag,
                      java.lang.String message)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFQDN

    public java.lang.String getFQDN()

### getMessage

    public java.lang.String getMessage()

### getPriority

    public int getPriority()

### getTag

    public java.lang.String getTag()

### getTimeStamp

    public TimeStamp getTimeStamp()

### getToIp

    public java.net.InetAddress getToIp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD